# O Manual do &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marcus
Gama

    marcus_gama@uol.com.br

Tradução
2000
2001
2002
&Jonathan.Singer;
2005
Kurt Hindenburg
&FDLNotice;
2005-02-13
1.5

Este documento é o manual do usuário para o aplicativo &konsole;.

O &konsole; é um emulador de terminal X para o &kde;.

KDE
konsole
kdebase
comando
linha

## Introdução ao &konsole;

### O que é um terminal?

Os sistemas operacionais &UNIX; foram originalmente desenvolvidos como sistemas somente texto, controlado por comandos de teclado -- isto é conhecido como uma interface de linha de comando (em inglês, CLI). O &X-Window; e o &kde; e outros projetos adicionaram a interface gráfica que você agora está usando. No entanto, a camada CLI do sistema ainda existe, e é frequentemente a mais fácil, rápida e poderosa maneira para realizar algumas tarefas.

O &konsole; é aquilo que é conhecido como emulador de terminal X, frequentemente referenciado como um terminal ou um shell. Ele fornece o equivalente a velha tela de texto na sua área de trabalho, mas de uma maneira que você possa facilmente compartilhar a tela com seus aplicativos gráficos. Usuários do Windows podem estar familiarizados com o utilitários Prompt do MS-DOS, que possui uma função semelhante de oferecer uma linha de comando DOS sob o &Windows; (Apesar das CLIs do &UNIX; oferecerem um uso mais poderoso e fácil do que o DOS!)

Explanar o uso da CLI do &UNIX; está fora do escopo deste documento, pois isto necessitaria de um longo livro. Felizmente, muitos livros estão disponíveis em vários idiomas em qualquer boa livraria ou biblioteca. Existem tutoriais disponíveis na Internet. Aproveite o &kde;, mas não deixe de aprender como usar a linha de comando! Você descobrirá que aprender somente alguns comandos básicos tornará o uso do seu computador mais eficiente e agradável.

### O que torna o &konsole; especial?

Os recursos avançados do &konsole; incluem configuração simples e a habilidade de usar múltiplos terminais de shell numa única janela, tornando menos bagunçada sua área de trabalho.

Usando o &konsole;, um usuário pode abrir:

- Sessões de console &Linux;

- Sessões Shell

- Sessões Screen

- Sessões do gerenciador de arquivos Midnight Commander

- Sessões de console no modo Root

- Sessões Midnight Commander no modo Root

- Sessões criadas pelo usuário

Estas sessões pode ser renomeadas para auxiliá-lo a manter trilhas de todos os seus shells, ou sinalizadas (STOP, CONT, HUP, INT, TERM, KILL).

Para um controle maior sobre o &konsole;, um usuário pode:

- ocultar/mostrar a barra de menu e/ou quadro

- selecionar o tamanho da janela do &konsole;, fontes, esquemas de cores, e mapeamento do teclado

- mudar a localização da barra de rolagem ou ocultar esta barra

- mudar a localização da barra de abas ou ocultar esta barra

Todas as configurações escolhidas pode ser tornadas padrão para as sessões seguintes salvando-as.

Para aqueles com interesse profundo na taxionomia de terminais X livres, existem dois outros tipos de terminais: xterm, o original, escrito até mesmo antes do X propriamente dito (um mês ou dois), e o xvt, um clone do xterm mais leve, no qual a maioria dos derivados disponíveis atuais (notadamente o eterm) são baseados.

Após uma década, o &konsole; é o primeiro reescrito a partir do zero. Enquanto o xterm foi definitivamente hackeado para morrer (seu arquivo `README` se incia com as palavras Abandone Toda a Esperança, Sim Quem Entrou Aqui), o &konsole; oferece um breve início do uso de teconologias contemporâneas e compreensão do X.

## Uso do &konsole;

### Inicialização

Quando o &konsole; é iniciado, um aplicativo (tipicamente um shell &UNIX;) se executa em uma janela. Simplesmente digite no prompt.

&konsole; Screen
&konsole; Screen

O Konsole com 4 sessões de terminal abertas.

Uma janela de Dica do Dia pode também aparecer na inicialização, oferecendo dicas do uso do &konsole;. Se você não desejar receber dicas, desabilite a caixa Exibir dicas no início.

### Histórico

Conforme as linhas rolam para o topo da tela, elas podem ser revistas movendo a barra de rolagem para cima, rolando com a roda do mouse ou através do uso das teclas &Shift;Page Up (para mover para trás uma página), &Shift;Page Down (para mover para frente uma página), &Shift;Acima (para mover acima uma linha) e &Shift;Abaixo (para mover abaixo uma linha) (fornecida a opção Histórico habilitada).

Adicionalmente, o &konsole; simula o console FreeBSD quando o scroll lock é pressionado. Quando o scroll lock está ligado, a entrada e saída do shell é suspensa, e você pode rolar pelo histórico com Page Up, Page Down, e Seta Acima e Seta Abaixo.

O histórico do &konsole; pode ser configurado em Configurações Histórico...

O &konsole; fornece um determinado número de ações relacionadas com o histórico localizadas no menu Editar.

- Procurar no Histórico...

- Procurar Próximo

- Procurar Anterior

- Salvar Histórico Como...

- Limpar Histórico

- Limpar Todos os Históricos

As referências do &konsole; ao histórico são para o texto que é exibido na janela do &konsole;. O shell que está rodando no &konsole; (por ex. o bash) também possui um histórico que não está relacionado com o histórico do &konsole;.

### Sessões

Se você frequentemente tem que logar-se em máquinas remotas, ou sempre executa um mesmo conjunto de aplicativos, você pode usar o recurso Sessão do &konsole; juntamente com o gerenciamento de sessão do &kde; para automatizar muito disso para você. Vejamos o seguinte exemplo: Você frequentemente tem que abrir uma sessão ssh com a máquina administracao para tarefas administrativas diversas. Você deve saber que o botão Nova Sessão na barra de abas do &konsole; contém um menu acionado clicando-se e mantendo pressionando o botão do mouse nele, e que você pode escolher um novo tipo de sessão neste menu. Nós vamos adicionar novas entradas a este menu.

1. Clique na entrada de menu Configurações Configurar Konsole

2. Escolha a aba Sessão.

3. Preenche a primeira entrada com um nome. Este é o nome que será exibido no menu, e será o rótulo padrão ao invés do Shell quando você inicia uma sessão deste tipo.

4. Insira um comando como você normalmente faria se abrisse um novo shell e digitasse este comando. Para nosso primeiro exemplo acima, você deve digitar ``ssh` administracao`.

5. Na parte inferior do painal, configure a aparência da sessão. Você pode ter uma fonte diferente, esquema de cores, e tipo $`TERM` para cada sessão.

6. Pressione o botão Salvar Sessão.... Um diálogo lhe pedirá para confirmar o nome do arquivo.

7. Pressione OK.

Você deverá agora ser capaz de pressionar e manter pressionado o botão Nova Sessão na barra de abas, e selecionar seu novo tipo de sessão a partir da lista. Uma nova sessão de shell será aberta na janela do &konsole;, com o resultado do comando executado. No nosso exemplo, você estará no prompt solicitando senha do ssh, e quando você fornecer sua senha, você será logado na máquina remota. Você pode evitar este passo também, usando o ssh-agent, mas isto é um tópico para uma outra história. Talvez você deseje ver os últimos registros de erro http de um servidor web, você pode usar uma linha de comando como ``ssh` `-f` servidorweb `tail` `-f` `/var/log/httpd-error.log``.

Você pode usar isto para executar comandos locais também. Tente criar uma sessão onde o comando é ``tail` `-f` `/var/log/messages``. Neste caso, sair da aplicação em execução fechará a sessão do shell também.

Um uso realmente interessante deste recurso é se você tiver sempre o mesmo conjunto de sessões abertas, o &kde; pode abrir todas elas para você automaticamente quando você inicia uma sessão do &kde;. Simplesmente mantenha-as abertas como deseja quando você sair do &kde;, e elas serão salvas com sua sessão &kde;, e restauradas como qualquer outro aplicativo quando você reiniciar o &kde;.

Você pode atribuir teclas de atalho à qualquer sessão.

### Botões do Mouse

Esta seção detalha o uso dos botões do mouse para a ordem de botões comum para pessoas destras. Para canhotos a ordem dos botões é trocada no texto abaixo.

Esquerdo

  Todos os cliques com o &LMB; serão enviados para um aplicativos com suporte ao mouse rodando no &konsole;. Se um aplicativo reagir aos cliques de mouse, o &konsole; indicará isto mostrando um cursor de seta. Caso contrário, um cursor de barra (I) é mostrado.

  Mantendo o &LMB; pressionado e arrastando o mouse sobre a tela com um aplicativo não sensível ao mouse em execução marcará uma região do texto. Durante o arrasto, o texto marcado é exibido em modo reverso para um retorno visual. Selecione Copiar no menu Editar para copiar o texto marcado para a área de transferência para uso posterior dentro do &konsole; ou outro aplicativo. O texto selecionado pode tambés ser arrastado e solto em aplicativos compatíveis. Clique no texto selecionado e arraste-o para a localização desejada. Dependendo das suas configurações do &kde; você pode precisar manter a tecla &Ctrl; enquanto arrasta.

  Normalmente, caracteres de 'nova linha' são inseridos no final de cada linha selecionada. Isto é melhor para cortar e colar de código fonte, ou a saída de um comando em particular. Para texto simples, as quebras de linha não são normalmente importantes. Você pode preferir, no entanto, que o texto seja um fluxo de caracteres que será automaticamente reformatado ao colar em um outro aplicativo. Para selecionar em modo de fluxo de texto, mantenha pressionado a tecla &Ctrl; enquanto seleciona normalmente.

  Pressionando as teclas &Ctrl; e &Alt; juntamente com o &LMB; selecionará uma coluna de texto.

  Clique-duplo com o &LMB; para selecionar uma palavra, clique-triplo para selecionar uma linha inteira.

  Se o canto superior ou inferior da área de texto for tocado enquanto está sendo marcado, o &konsole; rola acima ou abaixo, mostrando eventualmente texto do histórico de buffer. A rolagem para quando o mouse para o movimento.

  Após o mouse ser solto, o &konsole; tenta manter o texto na área de transferência visível mantendo a área marcada em modo reverso. A área marcada volta para o normal tão logo o conteúdo da área de transferência mude, o texto na área marcada seja alterado ou o &LMB; seja clicado.

  Para marcar texto em um aplicativo sensível ao mouse (Midnight Commander, por exemplo) a tecla &Shift; deve ser pressionada ao clicar.

Meio

  Pressionar o &MMB; cola o texto existente na área de transferência. Manter a tecla &Ctrl; pressionada enquanto pressiona o &MMB; cola o texto e envia-o para o &konsole;.

  Se você tiver um mouse com somente dois botões, pressionar os &LMB; e &RMB; juntos emula o &MMB; de um mouse de três botões.

  Se você tiver uma roda como botão do meio, rolar esta roda em um programa não sensível ao mouse moverá a barra de rolagem do &konsole;.

Direito

  Os itens que aparecem no menu quando o &RMB; é pressionado dependem do fato da barra de menu estar visível.

  A barra de menu está visível: os itens de menu Definir Fim da Seleção, Copiar, Colar, Enviar Sinal, Desanexar Sessão, Renomear Sessão..., Favoritos, Configurações e Fechar Sessão.

  A barra de menu está oculta: os itens de menu Exibir Barra de Menu, Definir Fim da Seleção, Copiar, Colar, Enviar Sinal, Nova Sessão, Desanexar Sessão, Renomear Sessão..., Favoritos, Configurações e Fechar Sessão.

  Em um aplicativo sensível ao mouse, pressione a tecla &Shift; com o &RMB; para obter o menu de contexto.

  Pressionar a tecla &Ctrl; e o &RMB; apresentará o menu Sessão.

### Barra de Menu

A barra de menu está no topo da janela do &konsole;. A barra de menu pode ser ativada ou desativada pela tecla &Alt;.

Configurações Ocultar Barra de Menu permite que a barra de menu seja oculta. Quando a barra de menu é oculta, o Mostrar Barra de Menu pode ser alcançado com um clique direito na janela ou com &Alt;&Ctrl;M., que é o atalho padrão para ativar a barra de menu. A barra de menu pode também ser alternada atribuindo-lhe um atalho de teclado.

#### Menu Sessão

Sessão Novo Shell

  Abre uma nova sessão com um terminal shell. &Alt;&Ctrl;N pode também ser usado, como descrito em mais detalhes abaixo.

Sessão Novo Console do Linux

  Abre uma nova sessão emulando um sistema &Linux; somente-texto.

  Veja o arquivo `README.linux.console` no pacote fonte do &konsole; para informações detalhadas sobre como o console &Linux; difere de um console &UNIX; típico. Se isto não significa nada para você, você quase certamente não precisará preocupar-se com isto.

Sessão Novo Midnight Commander

  Abre uma nova sessão com o navegador de arquivo Midnight Commander.

  Esta entrada de menu somente estará visível se o Midnight Commander (`mc`) estiver instalado em seu sistema.

Sessão Novo Shell Raiz

  Abre uma nova sessão com um terminal shell, com o usuário root.

  Após ser questionado pela senha do root, o prompt # aparecerá, indicando que o usuário está trabalhando com privilégios de root. Isto é frequentemente necessário para instalar novos softwares e outras rotinas de manutenção do sistema, mas tenha cuidado para não provocar um dano acidental.

Sessão Nova Midnight Commander Root

  Abre uma nova sessão com o navegador de arquivos Midnight Commander, com o usuário root.

  Após ser questionado pela senha do root, o prompt # aparecerá abaixo da janela do navegador, indicando que o usuário está trabalhando com privilégios de root. Novamente, trabalhar como root é frequentemente necessário mas tenha cuidado para não provocar um dano acidental.

  Esta entrada de menu somente estará visível se o Midnight Commander (`mc`) estiver instalado em seu sistema.

Sessão Nova Sessão Screen

  Abre uma nova sessão com o gerenciador de terminais virtuais Screen. Veja ``man` `screen`` para mais informações.

  Esta entrada de menu somente estará visível se o Screen (`screen`) estiver instalado em seu sistema.

Sessão Novo Shell em Favoritos

  Inicia um novo terminal shell, numa pasta escolhida a partir da lista de favoritos.

Sessão Imprimir Tela...

  Imprime a tela atual.

Sessão Fechar Sessão

  Fecha a sessão atual.

Sessão Sair

  Sai do &konsole; fechando todas as sessões e qualquer aplicativo lançado por elas.

Você pode também abrir uma nova sessão com um atalho de teclado. Por padrão, &Alt;&Ctrl;N é usado. Você pode também definir seu próprio atalho de teclado através do comando de menu Configurações Configurar Atalhos....

A lista de sessões disponíveis refletirá quais programas estão instalados com qualquer sessão definida pelo usuário. A lista de sessões é ordenada alfabeticamente para visualização rápida.

Finalmente, observe que os tipos de sessão podem ser modificados, e novos tipos criados, usando o diálogo de configuração, acessado a partir da entrada de menu Configurações Configurar Konsole....

#### Menu Editar

Editar Copiar

  Copia o texto selecionado para a área de transferência.

Editar Colar

  Cola o texto da área de transferência na localização do cursor.

Editar Enviar Sinal

  Envia Sinal - Envia o sinal especificado para o processo shell, ou outro processo, que foi lançado quando a nova sessão foi iniciada.

  Atualmente os sinais disponíveis são:

  STOP | para parar o processo
  CONT | continua se parado
  HUP | suspensão detectada sobre controle do terminal, ou morte do controle do processo
  INT | interrompe a partir do teclado
  TERM | sinal de terminação
  KILL | sinal de matar
  USR1 | sinal do usuário 1
  USR2 | sinal do usuário 2

  Acesse as páginas de manual do seu sistema para mais detalhes inserindo o comando ``man` `7 signal``.

Editar Envio do ZModem...

  Envia um arquivo através do ZModem.

Editar Limpar Terminal

  Limpar todo o texto da janela de sessão.

Editar Reinicializar e Limpar Terminal

  Reinicializa e limpa toda a janela de sessão.

Editar Encontrar no Histórico...

  Procura uma palavra ou string de texto no histórico atual. Opções permitem sensibilidade à caixa ou procurar para trás, e o uso de expressões regulares nas buscas. Pressione o botão Editar para usar o editor gráfico do &kde; para criar uma expressão regular.

Editar Procurar Próximo

  Move para a próxima instância do texto pelo qual você está procurando.

Editar Procurar Anterior

  Move para a instãncia anterior do texto pelo qual você está procurando.

Editar Salvar Histórico Como...

  Salva o histórico atual como um arquivo texto.

Editar Limpar Histórico

  Limpa o histórico para a sessão atual.

Editar Limpar Todos os Históricos

  Limpa o histórico para todas as sessões.

#### Menu Visualizar

Visualizar Desanexar Sessão

  Abre a sessão atual em uma janela separada. O nome da sessão é exibido na barra de título da nova janela.

Visualizar Renomear Sessão...

  Abre uma caixa de diálogo que permite mudar o nome da sessão atual. O nome é exibido na aba de sessões. O &Alt;&Ctrl;S pode também ser usado.

Visualizar Monitor para Atividades

  Faz com que a sessão atual mostre um alerta se atividade ocorrer. Um ícone de uma pequena lâmpada acesa aparecerá na aba de sessões. Use isto para te alertar se alguma coisa aconteceu enquanto você estiver trabalhando em uma outra sessão. O tempo antes de um alerta pode ser modificado nas preferências do &konsole;.

Visualizar Monitor para Silêncio

  Faz com que a sessão atual mostre um alerta se nenhuma atividade ocorrer durante 10 segundos. Um ícone de uma pequena luz apagada aparecerá na aba de sessões. Use isto para te alertar se uma tarefa parar enquanto você está trabalhando em uma outra sessão. O tempo antes de um alerta pode ser modificado nas preferências do &konsole;.

Visualizar Enviar Entrada para Todas as Sessões

  Faz com que a sessão atual envie qualquer comando inserido para todas as sessões. A sessão terá um pequeno ícone em sua aba para lembrá-lo de ter cuidado com o que você digita! ``rm` `-rf *``, por exemplo, não é provavelmente uma boa idéia.

Visualizar Mover Sessão para Esquerda

  Move a aba da sessão atual uma aba para a esquerda.

Visualizar Mover Sessão para Direita

  Move a aba da sessão atual uma aba para a direita.

  &Shift;Esquerda e &Shift;Direita podem também ser usados para mover entre sessões.

Visualizar Ícones de Sessão...

  Na parte inferior do menu está uma lista das sessões disponíveis. Selecionar uma torna esta sessão ativa.

  Você pode também usar as teclas &Shift;Esquerda/&Shift;Direita para circular entre as sessões disponíveis.

#### O Menu Favoritos

Favoritos Adicionar Favorito

  Adiciona a localização atual à lista de favoritos.

Favoritos Editar Favoritos

  Edita a lista de favoritos.

Favoritos Nova Pasta de Favoritos

  Adiciona uma nova pasta à lista de favoritos.

A lista de favoritos é exibida na parte inferior deste menu. Selecione um favorito para mudar para esta localização.

Você pode usar o editor de favoritos para adicionar manualmente URLs como ssh://usuario@maquina ou telnet://maquina para abrir conexões remotas.

#### Menu Configurações

Configurações Ocultar Barra de Menu

  Oculta a barra de menu.

Configurações Barra de Abas

  Controla a visibilidade/localização da barra de abas: Ocultar, Topo, ou Base.

Configurações Barra de rolagem

  Controla a visibilidade/localização da barra de rolagem: Ocultar, Esquerda, ou Direita.

Configurações Tela cheia

  Alterna a janela entre tela cheia e tamanho normal.

Configurações Campainha

  Configura a campainha: Campainha do Sistema, Notificação do Sistema, Campainha Visível, ou Nenhuma.

Configurações Fonte

  Configura o tamanho da fonte: Normal, Minúscula, Pequena, Média, Grande, Enorme.

  Selecione a opção Linux para usar uma fonte de console.

  Selecione a opção Unicode para usar uma fonte fixa.

  Selecione a opção Personalizada para usar qualquer combinação de fonte, tamanho e estilo.

Configurações Codificação

  Seleciona a codificação de caracteres.

Configurações Teclado

  Escolhe o mapa de teclado desejado.

  A lista destes mapas de teclados é obtida em `$KDEDIR/share/apps/konsole/*.keytab`. O arquivo `$KDEDIR/share/apps/konsole/README.KeyTab` descreve o formato do `*.keytab` em mais detalhes. Adicione ou modifique estes arquivos para atender as suas necessidades. O keytab padrão é obtido de `$KDEDIR/share/apps/konsole/README.default.Keytab`

Configurações Esquema

  Configura cores do texto e fundo.

  A lista é obtida em `$KDEDIR/share/apps/konsole/*.schema`. O arquivo `$KDEDIR/share/apps/konsole/README.Schema` descreve o formato do `*.schema` em mais detalhes. Adicione ou modifique estes arquivos para atender as suas necessidades. Você pode também criar um esquema personalizado através do diálogo de preferências em Configurações Configurar Konsole....

Configurações Tamanho

  Configura o tamanho da área de texto (fornecido em colunas x linhas).

Configurações Histórico...

  Abre um diálogo de onde você pode configurar o histórico. A caixa de verificação Habilitado alterna o salvamento de linhas que foram roladas para o topo da janela. Você pode inserir o Número de linhas a lembrar no campo de texto, ou usar os botões de acréscimo e decréscimo para aumentar ou diminuir o número em passos de 100 linhas. O botão Padrões reiniciará o histórico para 1000 linhas. Selecionando Configurar Ilimitado fará com que todo o histórico seja salvo. Pressione OK para salvar suas mudanças, ou Cancelar para fechar o diálogo sem salvar suas configurações.

Configurações Salvar como Padrão

  Salva as configurações atuais como novos padrões.

Configurações Salvar Perfis das Sessões...

  Salva o conjunto atual de sessões com um nome que você pode escolher. O perfil pode então ser usado iniciando o &konsole; com uma linha de comando com o `--profile` e o nome do perfil.

Configurações Configurar Notificações...

  Personaliza as notificações do &konsole;.

Configurações Configurar Atalhos...

  Personaliza os atalhos de teclado para comandos do &konsole;.

Configurações Configurar o &konsole;...

  Abre o módulo do &kcontrolcenter;, permitindo mudanças adicionais à interface e comportamento do &konsole;, incluindo criação de esquemas personalizados e modificação das sessões disponíveis.

#### Menu Ajuda

Ajuda Manual do Konsole

  Abre o índice deste documento.

Ajuda Dica do Dia...

  Exibe uma dica útil sobre o uso do &konsole;. Habilite a caixa Exibir dicas no início para exibir uma dica cada vez que o &konsole; é iniciado.

Ajuda Relatar Erro...

  Submete um relatório de erro ou solicitação de recurso para o &konsole;.

Ajuda Sobre o Konsole...

  Informações sobre o autor do &konsole;

Ajuda Sobre o KDE...

  Informações sobre o projeto do KDE

### Barra de Abas

A barra de abas permite que múltiplas sessões de terminal sejam anexadas a uma única janela do &konsole;.

Imagem da Barra de Abas
Imagem da Barra de Abas

O Konsole com 4 sessões de terminal abertas com a barra de abas na base.

O Configurações Barra de Abas permite que a barra de abas seja movida para o Topo ou Base. A barra de abas também pode ser oculta selecionando Ocultar.

No lado esquerdo da barra de abas existe um botão que permite diversas ações.

- Clique no botão para iniciar uma nova sessão padrão.

- Clicando e mantendo pressionado o botão fará aparecer uma lista de sessões para selecionar.

- Clique-direito no botão (ou em qualquer espaço vazio da barra de abas) e aparecerá um menu com um conjunto de determinadas opções:

  - Barra de Abas: Ocultar, Topo, Base.

  - Opções da Aba: Texto Ícones&, Somente Texto, Somente Ícones.

  - Ocultação Dinâmica ocultará a barra de abas quando existir somente uma sessão aberta.

  - O Auto-Redimensionar as Páginas irá mudar automaticamente o tamanho das páginas de acordo com a largura da barra de páginas.

No lado direito da barra de abas existe um botão que fecha a sessão atual. Este botão será desabilitado quando existir somente uma sessão rodando.

Clique-direito em qualquer outra aba fará aparecer outro menu:

- Desanexar Sessão

- Renomear Sessão...

- Monitor para Atividade

- Monitor para Silêncio

- Enviar Entrada para Todas Sessões

- Alternar para Aba...

- Fechar Sessão

### Opções de Linha de Comando

Quando o &konsole; é iniciado a partir da linha de comando, várias opções podem ser especificadas para modificar seu comportamento.

`--help`

  Lista as diversas opções.

`-e` `comando`

  Executa `comando` ao invés do shell normal.

  Qualquer argumento após `comando` será passado para o `comando`, não para o &konsole;.

`--keytab` `arquivo`

  Inicia o &konsole; usando o arquivo .keytab especificado para personalizar atalhos de teclado.

`--keytabs`

  Lista todas as keytabs disponíveis.

`--ls`

  Inicia com um ambiente de login de shell. O que isto faz varia conforme o seu sistema, mas geralmente isto significa que arquivos como o `~/.profile` ou `~/.bash_profile` serão lidos. (Se isto não significar nada para você, não se preocupe com isso, mas lembre-se disso quando você precisar.)

`--name` `nome`

  Configura o nome que aparece na barra de título.

`--noclose`

  Evita que o &konsole; feche quando um comando de ``exit`` é enviada em uma janela com uma única sessão.

`--noframe`

  Inicia o &konsole; sem um quadro.

`--nohist`

  Desabilita o salvamento de linhas que rolam para o topo da janela.

`--nomenubar`

  Inicia o &konsole; com a barra de menu oculta.

`--noresize`

  Desabilita o redimensionamento da janela do terminal.

`--noscrollbar`

  Inicia o &konsole; com a barra de rolagem oculta.

`--notabbar`

  Inicia o &konsole; com a barra de abas oculta.

`--noxft`

  Inicia o &konsole; sem anti-aliasing do Xft. Anti-aliasing em uma fonte pequena pode torná-la difícil de ler.

`--profile` `arquivo`

  Inicia o &konsole; usando o conjunto de sessões salvo.

`--profiles`

  Lista todos os perfis disponíveis.

`--schema` `nome` | `arquivo`

  Inicia o &konsole; usando o esquema 'nome' ou o especificado no 'arquivo' para personalizar a aparência.

`--schemata`

  Lista todos os esquemas disponíveis.

`--script`

  Habilita funções extendidas de &DCOP; &Qt;.

`-T` `título`

  Configura o título da janela.

`--tn` `terminal`

  Configura a variável de ambiente TERM para o valor especificado. Leia o ``man` `xterm`` para mais informações sobre o TERM.

`--type` `tipo`

  Inicia uma sessão do tipo fornecido ao invés do padrão.

`--types`

  Lista todos os tipos de sessão disponíveis.

`--vt_sz` `CCxLL`

  Inicia uma janela de terminal de CC colunas e LL linhas.

`--workdir` `pasta`

  Abre com `pasta` como pasta de trabalho.

Exemplos:

    &percnt; konsole --vt_sz 90x25 --nohist

Inicia a janela do &konsole; com 90 coluna e 25 linhas, sem histórico

    &percnt; konsole --noclose -e echo_args Olá, obrigado por usar o Konsole!

Inicia a janela do &konsole; com o texto 'Olá, obrigado por usar o Konsole!' impresso

O `echo_args` é um simple 'script' de Bash:

    #!/bin/bash
    echo $*

O &konsole; também aceita opções genéricas do &Qt; e &kde;:

`--help-qt`

  Lista opções específicas do Qt

As seguintes opções do &Qt; não tem efeito no &konsole;:

`--fn`, `--font` `nomefonte`

  Define a fonte do aplicativo

`--bg`, `--background` `cor`

  Configura a cor de fundo padrão

`--fg`, `--foreground` `cor`

  Configura a cor de fonte padrão

`--btn`, `--button` `cor`

  Configura a cor de botão padrão

`--help-kde`

  Lista opções específicas do KDE

`--help-all`

  Lista todas opções

`--author`

  Mostra o nome do autor

`-v,--version`

  Mostra o número de versão

`--license`

  Mostra informações de licença

### DCOP

Para uma introdução ao &DCOP; e uso do `dcop` por favor veja no Guia do Usuário do DCOP.

## Créditos e Direitos Autorais

Para o &kde; 3.4, o &konsole; é mantido por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Anteriormente, o &konsole; era mantido por &Waldo.Bastian; &Waldo.Bastian.mail;

O direito autoral do aplicativo &konsole; ©1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Este documento foi escrito por &Jonathan.Singer; &Jonathan.Singer.mail;

Este documento foi atualizado para o &kde; 3.4 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Convertido originalmente para DocBook SGML por &Mike.McBride; e &Lauri.Watts;

Tradução de Marcus Gamamarcus_gama@uol.com.br

&underFDL; &underGPL;

## O &konsole; em plataformas não-&Linux;

Informações sobre compilação do &konsole; em outras plataformas diferentes do &Linux; estão disponíveis no arquivo `README.ports` no pacote fonte do &konsole;. Ele fornece uma lista de peritos para determinadas plataformas (Tru64, &Solaris;, OpenBSD) e solicita voluntários de outras plataformas &UNIX;.

Para mais informações visite estes sítios na web:

- KDE no FreeBSD

- KDE no Solaris

&documentation.index;